TAB2INV(1)

NAME
tab2inv - SeisComP Documentation

tab to SeisComp3 inventory converter

DESCRIPTION

The tab2inv program is part of the nettab package distributed together with the SeisComP package. The nettab is a text-based format developed inside the GEOFON data center to describe seismological instruments responses information. The tab2inv program can generate SeisComP inventory files by parsing ''tab files'' as described by in the nettab format.

This program can read a set of tab files in the nettab format, verify their contents and generate inventory for the stations described in them.

COMMAND-LINE OPTIONS

tab2inv [options] tab-file [more-tab-file]

  Options

-h, --help
    Prints a small help message and exits.

-f, --filterf
    Indicate the filter folder. The filter folder is where the program will search for the files indicated by the Ff and If lines.

-x, --xmlf
    Indicate a folder containing a set of XML files that contains the SeisComp3 inventory files that will be used to resolve the station groups. Normally this folder is seiscomp/etc/inventory.

-D, --database

--force
    Don't stop on errors of individual files. Try to perform the requested task even if some files contain formatting errors.

-g, --generate
    This option instruct the program to generate the XML document in the end of processing. When you don't supply this option the file is just parsed and loaded into objects in the memory.

-c, --check
    Perform some tests after the files can be loaded. The tests include testing that the instruments all can be resolved and has no unused instruments supplied.

-d, --default
    Use this option to indicate a default file. A default file is a file containing normally a set of rules for Network (Na), Stations (Sa) and Instruments (Ia) that are applied for every object created before the attributes specified in the file are applied. This option help sto set parameters that you want to be set on all objects.

-o, --output
    Use this option to indicate the output filename for the XML file. If not indicated the program will write the output file to STDOUT.

-i, --ip
    Allow prefixing of the instrument (Datalogger or Sensor) name attribute on the inventory generated by a prefix. This option is normally used when you want to convert many networks that share the same instrumentation in different calls of the program. In each call of the program you can supply the network code and year as padding to guarantee that the instruments generated in both runs of the program will have different name values that are used as Key on the SeisComp3 inventory.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam